///////////////////////////////////////////////////////////////////
// ToB Kickout Dialogue for the Kivan
///////////////////////////////////////////////////////////////////
BEGIN MOKIV25P

IF ~Global("KickedOut","LOCALS",0)~ THEN BEGIN 0
  SAY @7036 
  IF ~~ THEN REPLY @7037 DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT  // I still have need for your bow. Stay with the party for now.
  IF ~AreaCheck("AR4500")~ THEN REPLY @7038 DO ~SetGlobal("KickedOut","LOCALS",1)
MoveToPointNoInterrupt([2501.1450])
Face(W)~ GOTO 1  // Wait here for now, Kivan.
  IF ~!AreaCheck("AR4500")
!AreaCheck("AR4000")
!AreaCheck("AR6200")~ THEN REPLY @7040 DO ~SetGlobal("KickedOut","LOCALS",1)
CreateVisualEffectObject("SPDIMNDR",Myself)
Wait(2)
MoveBetweenAreas("AR4500",[2501.1450],W)~ EXIT // I'll send you back to the pocket plane... wait there.
  IF ~!AreaCheck("AR4500")
!AreaCheck("AR4000")
!AreaCheck("AR6200")~ THEN REPLY @7038 DO ~SetGlobal("KickedOut","LOCALS",1)~ EXIT  // Wait here for now, Kivan.
END

IF ~~ THEN BEGIN 1
  SAY @7039
  IF ~~ THEN DO ~~ EXIT
END
